# keystone.identity.generator module

ID Generator provider interface.

class keystone.identity.generator.IDGenerator

  Bases: `object`

  Interface description for an ID Generator provider.

  abstractmethod generate_public_ID(mapping)

    Return a Public ID for the given mapping dict.

    Parameters:

      mapping (dict) – The items to be hashed.

    The ID must be reproducible and no more than 64 chars in length. The ID generated should be independent of the order of the items in the mapping dict.

class keystone.identity.generator.Manager

  Bases: `Manager`

  Default pivot point for the identifier generator backend.

  driver_namespace: str = 'keystone.identity.id_generator'

this page last updated: 2026-06-11 21:50:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug